DrawTableParserInternal::SubDocument Class Referencefinal

Internal: the subdocument of a DrawTableParser. More...

Inheritance diagram for DrawTableParserInternal::SubDocument:

## Public Member Functions
| SubDocument (DrawTableParser &parser, MWAWInputStreamPtr const &input, MWAWEntry const &entry, MWAWFont const &font, MWAWParagraph const &para)
| constructor from a zoneId
| ~SubDocument () final
| destructor
void | parse (MWAWListenerPtr &listener, libmwaw::SubDocumentType type) final
| the parser function
Public Member Functions inherited from MWAWSubDocument
| MWAWSubDocument (MWAWParser *pars, MWAWInputStreamPtr const &ip, MWAWEntry const &z)
| constructor from parser, input stream and zone in the input
| MWAWSubDocument (MWAWSubDocument const &doc)=default
| copy constructor
MWAWSubDocument & | operator= (MWAWSubDocument const &doc)=default
| copy operator
virtual | ~MWAWSubDocument ()
| virtual destructor
virtual bool | operator!= (MWAWSubDocument const &doc) const
| comparison operator!=
bool | operator== (MWAWSubDocument const &doc) const
| comparison operator==
bool | operator!= (std::shared_ptr< MWAWSubDocument > const &doc) const
| comparison operator!=
bool | operator== (std::shared_ptr< MWAWSubDocument > const &doc) const
| comparison operator==

## Protected Attributes
MWAWFont | m_font
| the font style
MWAWParagraph | m_para
| the paragraph style
Protected Attributes inherited from MWAWSubDocument
MWAWParser * | m_parser
| the main zone parser
std::shared_ptr< MWAWInputStream > | m_input
| the input
MWAWEntry | m_zone
| if valid the zone to parse

## Private Member Functions
| SubDocument (SubDocument const &orig)=delete
SubDocument & | operator= (SubDocument const &orig)=delete

## Detailed Description

Internal: the subdocument of a DrawTableParser.

## Constructor & Destructor Documentation

## ◆ SubDocument() [1/2]

DrawTableParserInternal::SubDocument::SubDocument | ( | DrawTableParser & | parser,
|  | MWAWInputStreamPtr const & | input,
|  | MWAWEntry const & | entry,
|  | MWAWFont const & | font,
|  | MWAWParagraph const & | para )
| inline

constructor from a zoneId

Referenced by operator=(), and SubDocument().

## ◆ ~SubDocument()

DrawTableParserInternal::SubDocument::~SubDocument | ( |  | ) |
| inline final

destructor

## ◆ SubDocument() [2/2]

DrawTableParserInternal::SubDocument::SubDocument | ( | SubDocument const & | orig | ) |
| private delete

## Member Function Documentation

## ◆ operator=()

SubDocument & DrawTableParserInternal::SubDocument::operator= | ( | SubDocument const & | orig | ) |
| private delete

## ◆ parse()

void DrawTableParserInternal::SubDocument::parse | ( | MWAWListenerPtr & | listener,
|  | libmwaw::SubDocumentType | type )
| final virtual

the parser function

Implements MWAWSubDocument.

## Member Data Documentation

## ◆ m_font

MWAWFont DrawTableParserInternal::SubDocument::m_font
| protected

the font style

Referenced by parse(), and SubDocument().

## ◆ m_para

MWAWParagraph DrawTableParserInternal::SubDocument::m_para
| protected

the paragraph style

Referenced by parse(), and SubDocument().

The documentation for this class was generated from the following file:

- DrawTableParser.cxx